Xeonr Developer Docs

ListStepVersions

POST
/uplim.api.v1.PipelineAdminService/ListStepVersions

Per-name version listing for the picker's "pin a version" UI.

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

integrationId?string
Formatuuid
name?string
Length1 <= length
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.PipelineAdminService/ListStepVersions" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "versions": [
    {
      "version": "string",
      "ready": true,
      "publishedAt": "2023-01-15T01:30:15.01Z",
      "validationStatus": "STEP_VALIDATION_STATUS_UNSPECIFIED",
      "validationFailureMessage": "string"
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}